Home | All Classes | Grouped Classes | Index | Search

# CL_InputSource::read_string

Reads a string from the input source.

    	std::string read_string();

Return value:

The string read.

Detailed description:

The binary format expected in the input source is first an uint32 telling the length of the string, and then the string itself.

See also:

CL_InputSource

Questions or comments, write to the ClanLib mailing list.